# LOC\_BUILDER\_DMS\_STR

`LOC_BUILDER_DMS_STR({})` actually takes an object with the following properties:

* label (string, optional, defaults to `@`)
* str (string)
* alt (float32, optional)
* ttl (optional)

A helper to build [`LOC`](https://docs.dnscontrol.org/language-reference/domain-modifiers/loc) records. Supply three parameters instead of 12.

Internally assumes some defaults for [`LOC`](https://docs.dnscontrol.org/language-reference/domain-modifiers/loc) records.

Accepts a string with degrees, minutes, and seconds (DMS) coordinates in the form: 41°24'12.2"N 2°10'26.5"E

Note that the following are acceptable forms (symbols differ):

* `33°51′31″S 151°12′51″E`
* `33°51'31"S 151°12'51"E`
* `33d51m31sS 151d12m51sE`
* `33d51m31s S 151d12m51s E`

{% code title="dnsconfig.js" %}

```javascript
D("example.com", REG_MY_PROVIDER, DnsProvider(DSP_MY_PROVIDER),
  LOC_BUILDER_DMS_STR({
    label: "sydney-opera-house",
    str: "33°51′31″S 151°12′51″E",
    alt: 4,
    ttl: "5m",
  }),
);
```

{% endcode %}

Part of the series:

* [`LOC()`](https://docs.dnscontrol.org/language-reference/domain-modifiers/loc) - build a `LOC` by supplying all 12 parameters
* [`LOC_BUILDER_DD({})`](https://docs.dnscontrol.org/language-reference/domain-modifiers/loc_builder_dd) - accepts cartesian x, y
* [`LOC_BUILDER_DMS_STR({})`](https://docs.dnscontrol.org/language-reference/domain-modifiers/loc_builder_dms_str) - accepts DMS 33°51′31″S 151°12′51″E
* [`LOC_BUILDER_DMM_STR({})`](https://docs.dnscontrol.org/language-reference/domain-modifiers/loc_builder_dmm_str) - accepts DMM 25.24°S 153.15°E
* [`LOC_BUILDER_STR({})`](https://docs.dnscontrol.org/language-reference/domain-modifiers/loc_builder_str) - tries the coordinate string in all `LOC_BUILDER_DM*_STR()` functions until one works


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dnscontrol.org/language-reference/domain-modifiers/loc_builder_dms_str.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
